typedef EntryPtr(Int2,CheckParametersPtr,(CharPtr Active, Int2 ParNum,
				      Int2Ptr Indices, Int2 ActiveNum));
typedef EntryPtr(void,ErrMessagePtr,(CharPtr msg));

typedef EntryPtr(void,ActivateTestFunsPtr,(StagenDataPtr stagen, BoolPtr asg, BoolPtr atf));

typedef EntryPtr(void,IndProcFuncPtr,(StagenDataPtr stagen, BoolPtr asg, Int1Ptr itf, BoolPtr cs));

typedef struct {
  CheckParametersPtr CheckParameters;	/* Checks active parameters */
  ErrMessagePtr ErrMessage;		/* Issues an error message */
  ActivateTestFunsPtr ActivateTestFuns; /* Active test functions */
  IndProcFuncPtr IndProcFunc;		/* Obtain index of processing function */
} UtilitiesData, PNTR UtilitiesDataPtr;

